VelocityReport Plugin - Defect #1331

Font pusher not called in webclient
06/05/2018 01:31 PM - Sanneke Aleman

Status: Rejected Start date: 06/05/2018
Priority: Normal Due date:

Assignee: Sanneke Aleman % Done: 0%
Category: velocity Estimated time: 0.00 hour
Target version: v3.0

Browser (if web chrome

client):

Description

Could you change the line 1194 of VelocityReportProvider.Java to also be called in webclient?

public boolean js_installFonts(final Function function) {

if (application.getApplicationType() == IClientPluginAccess.CLIENT) {

if (getService() !=null) {

final FunctionDefinition callback = (function != null) ? new FunctionDefinition(function) : null;
final FontPusher pusher = new FontPusher(callback);
application.getExecutor().execute(pusher);

return true;

}
}

return false;

}

History

#1 - 06/07/2018 02:26 PM - Patrick Talbot

- Status changed from New to Feedback

#2 - 06/07/2018 02:28 PM - Patrick Talbot

- Assignee set to Sanneke Aleman

This would mean that the fonts are pushed on the server side, which | think is not really needed/wanted, as you can always install fonts on a server
you manage anyway?

#3 - 02/28/2019 10:06 PM - Patrick Talbot
- Status changed from Feedback to Rejected
